﻿<%@ page title="" language="C#" masterpagefile="~/DetailPrint.master" autoeventwireup="true" inherits="EMR.C62TextPrint, EMR_deploy" %>

<asp:Content ID="headerContent" ContentPlaceHolderID="head" Runat="Server"></asp:Content>
<asp:Content ID="printContent" ContentPlaceHolderID="contentPlaceHolder" Runat="Server">
<pre><%=HttpUtility.HtmlEncode(GetReportText())%></pre>
</asp:Content>
<script runat="server">
	protected virtual string GetReportText() {
		if (report != null) {
			if (report.IsErrorEntry) {
				return report.Text;
			}
			if (report.Text != null && report.Text.Length > 0) {
				return PrintEncoding.GetString(Convert.FromBase64String(report.Text));
			}
		}
		return "";
	}
</script>
