<%@ page language="C#" autoeventwireup="true" inherits="EMR.DasTextPage, EMR_deploy" %>
<%@ Import Namespace="EXT.DOMAIN.mdo.text" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
	<link href="resources/css/main.css" type="text/css" rel="stylesheet"/>
	<script type="text/javascript" src="resources/scripts/js/JSExtras.js"></script>
	<script type="text/javascript" src="resources/scripts/js/dialogWindow.js"></script>
	<script type="text/javascript" src="resources/scripts/js/ajax.js"></script>
	<script type="text/javascript" src="resources/scripts/js/common.js"></script>
</head>
<body>
	<%SetupText();%>
	<asp:Literal ID="literalText" runat="server"></asp:Literal>
</body>
</html>
<script runat="server">
	protected virtual void SetupText() {
		if (_reportRow != null && _reportRow.IsErrorEntry) {
			ProcessError();
			return;
		}
		if (_reportDetail == null) {
			literalText.Text = "** Error: Report Detail was Null **";
			return;
		}
		if (_reportDetail.ReportObject == null) {
			literalText.Text = "** Error: Report Object was Null **";
			return;
		}
		if (!(_reportDetail.ReportObject is string)) {
			literalText.Text = "** Error: Report Object is not a string **";
			return;
		}
		string aString = (string)_reportDetail.ReportObject;
		aString = aString.Replace("<html>", "");
		aString = aString.Replace("</html>", "");
		aString = aString.Replace("<body>", "");
		aString = aString.Replace("</body>", "");
		literalText.Text = aString;
	}
	
	protected virtual void ProcessError() {
		string message = null;
		if (_reportRow!=null && _reportRow.IsErrorEntry && (_reportRow is ITextField)) {
			ITextField errorRow = (ITextField)_reportRow;
			if (errorRow.Text != null) {
				message = errorRow.Text;
			}
		}

		if (message == null) {
			message = " error processing request";
		}
		literalText.Text = "** Error: \n" + message;
	}
</script>
