<%@ control language="c#" autoeventwireup="false" inherits="EMR.GridControl_code, EMR_deploy" targetschema="http://schemas.microsoft.com/intellisense/ie5" %>
<%@ Import Namespace="EXT.DOMAIN.vistaweb.ui" %>
<%@ Import Namespace="EXT.DOMAIN.vistaweb.ui.grid" %>
<%@ Import Namespace="Antlr.StringTemplate" %>
<%@ Import Namespace="EXT.DOMAIN.mdo" %>
		
<!-- floating-header control 
<script type="text/javascript" src="resources/scripts/js/jquery-1.7.min.js"></script>
<script type="text/javascript" src="resources/scripts/js/jquery.fixedtableheader.min.js"></script>


<script type="text/javascript">
    $(function () {
        $(".gridTable").fixedtableheader({ headerrowsize: 1 });
    });
</script>
-->

<!-- gridControl-->
<table cellspacing="0" rules="all" border="1" id="gridTable" class="gridTable" style="border-collapse:collapse;"> <!-- comment section out 508 compliance implementation author Michelle Christmas 2012/09/05-->
	<thead>
	<tr class="persist-header" style="color:white;background-color:DarkSlateGray;font-weight:bold;">
	<% if (gridDefn.DetailPageName!=null && gridDefn.DetailPageName.Length>0) { %>
		<%--<th scope="col" class="gridColumn" title="View Detail link column">View Details</th> --%>
	<% } %>
	
	<% for (int i=0;i<gridDefn.Columns.Length;i++) { 
		IGridColumn column = gridDefn.Columns[i];
		if (gridDefn.ColumnExcluder!=null && gridDefn.ColumnExcluder.isColumnHidden(column, Session)) {
			continue;
		}%>
		<th scope="col" class="gridColumn" title="<%=column.HeaderTitle%>" id="gridCol_<%=column.PropertyName%>">
		<% if (column.IsSortable) { %>
			<a href="javascript:sortRequested('<%=column.PropertyName%>:<%if (isSortedColumn(column)){if (forwardSort){%>-1<%}else{%>1<%}}else{%>1<%}%>')" class="<%if (isSortedColumn(column)){if (forwardIndicator){%>gridColumnLinkForward<%}else{%>gridColumnLinkReverse<%}}else{%>gridColumnLink<%}%>" title="Click to <%if (!isSortedColumn(column)){%>sort '<%=column.HeaderTitle%>' column<%}else{%>reverse the '<%=column.HeaderTitle%>' sort<%}%>"><%=column.HeaderTitle%></a>
		<% } else { %>
			<%=column.HeaderTitle%>
		<% }%></th>	<% }%>
	
	<% if (versionSensitive) {%>
		<th scope="col" class="gridColumn">CPRS Version</th>
	<% }%>
	</tr>
	</thead>
	<% if (rows!=null && rows.Length>0) {
		populateRows();
	}%>
	<tbody>
	<asp:PlaceHolder id="rowPlaceholder" runat="server" EnableViewState="False"></asp:PlaceHolder>
	</tbody>
	<%if (multiPage) {%>
	<tr>
		<td>Page <%=currentPage%>&nbsp;of&nbsp;<%=pageCount%></td>
		<td colspan="100" align="center">
			<%if(currentPage==0) {%>
			<span class="paginationText" title="First page">First</span>
			<%}else{%>
			<a href="javascript:pageRequested('1');" class="paginationText paginationLink" title="First page">First</a>
			<%}%>
			<%if(currentPage==0) {%>
			<span class="paginationText" title="Previous page">&larr; Previous</span>
			<%}else{%>
			<a href="javascript:pageRequested('<%=currentPage%>');" class="paginationLink paginationText" title="Previous page">&#8592; Previous</a>
			<%}%>
			<%for (int i=0;i<pageCount;i++) {%>
				<%if(currentPage==i) {%>
			<span class="paginationNumber" title="Page <%=i+1%>"><%=i+1%></span> 
				<%}else{%>
			<a href="javascript:pageRequested('<%=i+1%>');" class="paginationLink paginationNumber" title="Page <%=i+1%>"><%=i+1%></a> 
				<%}%>
			<%}%> 
			<%if(currentPage+1==pageCount) {%>
			<span class="paginationText" title="Next page">Next &rarr;</span>
			<%}else{%>
			<a href="javascript:pageRequested('<%=currentPage+2%>');" class="paginationLink paginationText" title="Next page">Next &#8594;</a>
			<%}%>
			<%if(currentPage+1==pageCount) {%>
			<span class="paginationText" title="Last page">Last</span>
			<%}else{%>
			<a href="javascript:pageRequested('<%=pageCount%>');" class="paginationText paginationLink" title="Last page">Last</a>
			<%}%>
		</td>
	</tr>
	<%}%>
</table>
<script runat="server">
protected virtual void populateRows() {
	rowPlaceholder.Visible = true;
	for (int i=0;i<rows.Length;i++) {
		IGridRowControl rowControl = (IGridRowControl)LoadControl("GridRowControl.ascx");
		rowControl.GridRowContext = new RowContext(this, i);
		((Control)rowControl).EnableViewState = false;
		rowPlaceholder.Controls.Add((Control)rowControl);
	}
}

	protected virtual string getRowFromTemplate(IMdoRow row) {
		StringTemplate template = templateGroup.GetInstanceOf(gridDefn.RowTemplateName);
		template.SetAttribute("row.{data,hdrRec,fhieRec,nhinRec}", new object[] { 
			row, 
			GridControlHelper.isAnnotatedRec("CDS", row), 
			GridControlHelper.isAnnotatedRec("FHIE", row), 
			GridControlHelper.isAnnotatedRec("NHIN", row) 
		});
		if (debugging) {
			logger.Debug(template);
		}
		return template.ToString();
	}
	
</script>



