<%@ page title="" language="C#" masterpagefile="~/AdHocWizard.master" autoeventwireup="true" inherits="EMR.HsAdHocReportOrder, EMR_deploy" %>
<%@ Import Namespace="EXT.DOMAIN.mdo" %>
<%@ Import Namespace="System.Collections.Generic" %>
<%@ Import Namespace="EXT.DOMAIN.vistaweb.ui" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" Runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="pageNamePlaceholder" Runat="Server">
<asp:Label runat="server">Modify Report Component Order</asp:Label>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="wizardContentPlaceholder" Runat="Server">
	<div style="overflow:auto;height:30em">
		<table border="1">
			<thead>
				<tr>
					<th>Component Name</th>
					<th>Display Order</th>
				</tr>
			</thead>
			<%FillInputList(); %>
			<tbody>
				<asp:PlaceHolder runat="server" ID="rowsPlaceholder" />
			</tbody>
		</table>
	</div>
	<br />
	<asp:Button ID="applyChangesButton" runat="server" 
		Text="Apply Display Order Changes" CssClass="myButton" 
		onclick="applyChangesButton_Click"/>
	<br /><br />
</asp:Content>
<script runat="server">
	protected virtual void FillInputList() {
		if (selected != null) {
			for (int i = 0; i < selected.Length; i++) {
				rowsPlaceholder.Controls.Add(new LiteralControl("<tr><td>" + HttpUtility.HtmlEncode(selected[i].Name) + "</td><td>"));
				TextBox inputBox = new TextBox();
				inputBox.ID = "displayOrder" + i;
				inputBox.Text = (i + 1).ToString();
				rowsPlaceholder.Controls.Add(inputBox);
				rowsPlaceholder.Controls.Add(new LiteralControl("</td></tr>\n"));
			}
		}
	}

	protected override IList<AdHocComponentPosition> GetNewPositionList() {
		IList<AdHocComponentPosition> posList = null;
		if (selected != null) {
			string baseInputBoxName = Master.ClientID + ":wizardContentPlaceholder:displayOrder";
			for (int i = 0; i < selected.Length; i++) {
				int inValue = i + 1;
				try {
					string val = Request.Form[baseInputBoxName + i.ToString()];
					if (val != null) {
						inValue = int.Parse(val);
					}
				}
				catch { }
				if (inValue != (i + 1)) {
					if (posList == null) {
						posList = new List<AdHocComponentPosition>();
					}
					posList.Add(new AdHocComponentPosition(selected[i].Id, inValue));
				}
			}
		}
		return posList;
	}
</script>
