<%@ page title="" language="C#" masterpagefile="~/AdHocWizard.master" autoeventwireup="true" inherits="EMR.HsAdHocSelectSubReport, EMR_deploy" %>
<%@ Import Namespace="System.Collections.Generic" %>
<%@ Import Namespace="EXT.DOMAIN.mdo" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" Runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="pageNamePlaceholder" Runat="Server">
<asp:Label runat="server">Add Report Component File Selections</asp:Label>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="wizardContentPlaceholder" Runat="Server">
<h3>for '<asp:Label runat="server" ID="fileNameLabel"></asp:Label>'</h3>
<h4><asp:Label runat="server" ID="selectionLimitMessage">Selection Limit: </asp:Label><asp:Label runat="server" ID="selectionLimitText"></asp:Label></h4>
<div style="overflow:auto;height:30em">
	<asp:CheckBoxList ID="checkBoxList" runat="server"></asp:CheckBoxList>
</div>
</asp:Content>
<script runat="server">
	protected virtual void Page_PreRender(object sender, EventArgs e) {
		if (IsResultSet) {
			return;
		}
		fileNameLabel.Text = component.Name;
		if (component.SubCompFile != null && component.SubCompFile.AHLimit > 0) {
			selectionLimitText.Text = component.SubCompFile.AHLimit.ToString();
		}
		else {
			selectionLimitText.Text = "No limit";
		}
		IDictionary<string, IAHSubComp> subMap = new Dictionary<string, IAHSubComp>();
		if (component.SubItems != null) {
			foreach (IAHSubComp sub in component.SubItems) {
				subMap.Add(sub.Id, sub);
			}
		}
		IAHSubComp[] selectableSubs = _adhocState.GetSelectableSubComponents(component.Id);
		checkBoxList.Items.Clear();
		foreach (IAHSubComp sub in selectableSubs) {
			ListItem item = new ListItem(sub.Name, sub.Id);
			item.Selected = subMap.ContainsKey(sub.Id);
			checkBoxList.Items.Add(item);
		}
	}
</script>
