<%@ control language="c#" autoeventwireup="false" inherits="EMR.MenuItemControl_code, EMR_deploy" targetschema="http://schemas.microsoft.com/intellisense/ie5" %>
<%@ Register Src="MenuItemAnnotationControl.ascx" TagName="MenuItemAnnotationControl"
	TagPrefix="uc1" %>
<%@ Import Namespace="EXT.DOMAIN.vistaweb.ui" %>
<%if (isDisplayed()) {
	  if (isSingleLink()) {%>
	<asp:Placeholder runat="server" ID="singleLinkPlaceholder" />
<%}
  else {%>
<li>
	<a href="#offsetParent" class="handler"><img src="resources/images/icons/plus-sign.gif" alt="Expandable Item" class="node"/><img src="resources/images/icons/minus-sign.gif" alt="Collapsable Item" class="node-down"/> <%=_menuContext.MenuItem.Title%> <uc1:MenuItemAnnotationControl ID="menuItemAnnotationControl" runat="server" /></a>
	<ul class='toggle' <%if(_menuContext.MenuItem.IsHsSite){%>id='hs<%=_menuContext.MenuItem.SiteId%>'<%}%>>
	<asp:Placeholder runat="server" ID="multiLinkPlaceholder" />
</ul>
</li>
<%}
}%>

<script runat="server">
protected override void setupControls() {
	if (isSingleLink()) {
		Control control = LoadControl("PageLinkControl.ascx");
		((IMenuContextAware)control).MenuContext = _menuContext;
		singleLinkPlaceholder.Controls.Add(control);
	}
	else {
		menuItemAnnotationControl.MenuContext = _menuContext;
		for (int i = 0;i < _menuContext.MenuItem.SubitemList.Count;i++) {
			Control control = LoadControl("MenuItemControl.ascx");
			((IMenuContextAware)control).MenuContext = new MenuContext((EXT.DOMAIN.vistaweb.ui.IMenuItem)_menuContext.MenuItem.SubitemList[i], _menuContext.SessionGuid, _menuContext.SiteIds);
			multiLinkPlaceholder.Controls.Add(control);
		}
	}
}

protected bool isSingleLink() {
	return (_menuContext.MenuItem.Href != null) && (_menuContext.MenuItem.Href.Length > 0);
}

protected bool isDisplayed() {
	string keyString = "displayForSiteIds";
	if (_menuContext.SiteIds != null && _menuContext.MenuItem.PropertyMap != null && _menuContext.MenuItem.PropertyMap.Contains(keyString) && _menuContext.MenuItem.PropertyMap[keyString] != null) {
		if (_menuContext.SiteIds.Length > 0) {
			string siteIdList = _menuContext.MenuItem.PropertyMap["displayForSiteIds"].ToString();
			string[] allowedSiteIds = null;
			if (siteIdList.IndexOf(',') > -1) {
				allowedSiteIds = siteIdList.Split(new char[] {','});
			}
			else {
				allowedSiteIds = new string[] { siteIdList };
			}
			for (int i = 0;i < _menuContext.SiteIds.Length;i++) {
				for (int j = 0; j < allowedSiteIds.Length; j++) {
					if (allowedSiteIds[j].Equals(_menuContext.SiteIds[i])) {
						return true;
					}
				}
			}
		}
		return false;
	}
	return true;
}
</script>
