<%@ control language="C#" autoeventwireup="true" inherits="EMR.NhinNotAvailableLabel, EMR_deploy" %>
<%@ Import Namespace="EXT.DOMAIN.hds.text" %>
<%@ Import Namespace="EXT.DOMAIN.mdo.dao" %>
<asp:Panel runat="server" ID="messagePanel"><asp:Label ID="nhinLabel" runat="server" CssClass="aggDisclaimer" EnableViewState="False" Font-Bold="True" Text="Note:  NwHIN data not yet available for this report. Please see NwHIN Documents for a complete display of data from external Providers."></asp:Label><br /><br />
</asp:Panel>
<script runat="server">
	protected override bool IsNhinDaoAvailable(IMultiSiteDAO mDao) {
		if (mDao != null) {
			IPatientDataSourceDao[] daos = mDao.DAOs;
			if (daos != null) {
				foreach (IPatientDataSourceDao dao in daos) {
					if (StringUtils.equalsNullSafeIgnoreCase("NHIN",dao.Protocol)) {
						return true;
					}
				}
			}
		}
		return false;
	}
</script>
