<%@ page language="c#" inherits="EMR.SilentPatientSelect2, EMR_deploy" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<title>Selected Patient</title>
		<link href="resources/css/main.css" type="text/css" rel="stylesheet" />
		<script type="text/javascript" src="resources/scripts/js/JSExtras.js"></script>
		<script type="text/javascript" src="resources/scripts/js/main.js"></script>
	</head>
	<body onload="setupTimeout()" onunload="onQuit(event,window)">
		<form id="Form1" method="post" runat="server">
			<span class="hdr">VistAWeb has automatically selected the following patient:</span>
			<p></p>
			<asp:Label ID="patientName" Runat="server"></asp:Label><br />
			<asp:Label ID="ssn" Runat="server"></asp:Label><br />
			<asp:Label ID="dob" Runat="server"></asp:Label>
			<p></p>
			<%if (remoteData == null || remoteData.Sites==null || remoteData.Sites.Length<1) { %>
			This patient has no remote data
			<%}
	 else {
		 %>If you choose to proceed, VistAWeb will connect to the following sites:<p><%
		 for (int i = 0; i < remoteData.Sites.Length; i++) {
			 %><%=System.Web.HttpUtility.HtmlEncode(remoteData.Sites[i].Name)%> <%=getLastSeenDate(remoteData.Sites[i].Id)%><br /><%
		 }
		 %></p><%
	 }%>
			<p></p>
			<asp:Button ID="proceed" Runat="server" CssClass="myButton" Text="Proceed" accessKey="P" tabIndex="1" onclick="proceed_Click"></asp:Button>&nbsp;&nbsp;
			<asp:Button ID="cancel" Runat="server" CssClass="myButton" Text="Cancel" accessKey="C" tabIndex="2" onclick="cancel_Click"></asp:Button>
		</form>
		<h2 class="warning">NOTICE</h2>
		The more sites in this list the longer it will take to connect. Also, the more 
		sites on this list from which you have not on some previous occasion received 
		data, the longer it will take. Once connected, however, the data fetches will 
		be very quick. If you choose to proceed the only way to stop VistAWeb from 
		completing this page will be to close the browser.
	</body>
</html>
<script runat="server">
	protected virtual string getLastSeenDate(string siteId) {
		if (siteId != null && 
			remoteData.LastSeenDateMap != null && 
			remoteData.LastSeenDateMap.ContainsKey(siteId) && 
			remoteData.LastSeenDateMap[siteId].IsValid) {
			return "(" + EXT.DOMAIN.mdo.dates.MdoDateUtil.toDateTimeString(remoteData.LastSeenDateMap[siteId], dateOnlyPattern) + ")";		
		}
		return "";
	}
</script>
