<%@ page language="c#" inherits="EMR.Stats, EMR_deploy" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<title>Stats</title>
		<link href="resources/css/main.css" type="text/css" rel="stylesheet"/>
	</head>
	<body>
		<table width="100%" border="0">
			<tr>
				<td><img alt="VistaWeb image" src="resources/images/vistaWeb.gif"/></td>
				<td align="right"><img alt="View log image" src="resources/images/stats.gif"/></td>
			</tr>
		</table>
		<hr color="#cc0000"/>
		<p></p>
		<form id="Form1" method="post" runat="server">
			<table border="0">
				<tr>
					<td align="right">Date Selected:</td>
					<td>&nbsp;
						<asp:Label id="dateLabel" runat="server"></asp:Label></td>
				</tr>
				<tr>
					<td rowspan="7"><asp:calendar id="Calendar1" runat="server" BorderColor="Black" BorderStyle="Double" onselectionchanged="Calendar1_SelectionChanged">
							<NextPrevStyle Font-Bold="True" ForeColor="Red"></NextPrevStyle>
							<DayHeaderStyle Font-Bold="True"></DayHeaderStyle>
							<SelectedDayStyle Font-Bold="True" ForeColor="White" BackColor="#CC0000"></SelectedDayStyle>
							<TitleStyle Font-Size="8pt" Font-Bold="True" ForeColor="Red" BackColor="#2f4f5f"></TitleStyle>
						</asp:calendar></td>
				</tr>
				<tr>
					<td>Total requests:
						<asp:label id="totalRequests" Runat="server" Font-Bold="True" Font-Names="Arial" Font-Size="10"></asp:label></td>
				</tr>
				<tr>
					<td>Total users:
						<asp:label id="totalRequesters" Runat="server" Font-Bold="True" Font-Names="Arial" Font-Size="10"></asp:label></td>
				</tr>
				<tr>
					<td>Total user sites:
						<asp:label id="totalUserSites" Runat="server" Font-Bold="True" Font-Names="Arial" Font-Size="10"></asp:label></td>
				</tr>
				<tr>
					<td>Total request sites:
						<asp:label id="totalRequestSites" Runat="server" Font-Bold="True" Font-Names="Arial" Font-Size="10"></asp:label></td>
				</tr>
				<tr>
					<td>Total patients:
						<asp:label id="totalPatients" Runat="server" Font-Bold="True" Font-Names="Arial" Font-Size="10"></asp:label></td>
				</tr>
			</table>
			<p></p>
			Enter a VISN #, a site or station #, or nothing to get all sites. Then click 
			the Query button.<br/><br/>
			<table>
				<tr>
					<td class="hdr">VISN #:</td>
					<td><asp:textbox id="VisnID" tabIndex="10" Runat="server" Width="30"></asp:textbox></td>
					<td class="hdr">Site #:</td>
					<td><asp:textbox id="SiteID" tabIndex="20" Runat="server" Width="30"></asp:textbox></td>
					<td><asp:Button ID="query" Runat="server" CssClass="MyButton" Text="Query" tabIndex="30" onclick="query_Click"></asp:Button></td>
				</tr>
			</table>
			<br/>
			<%if(siteStats!=null && siteStats.Length>0) {%>
			<table border="1">
				<tr>
					<td class='\"hdr\"'>Site</td>
					<td class='\"hdr\"'>Requests</td>
					<td class='\"hdr\"'>Users</td>
					<td class='\"hdr\"'>Patients</td>
					<td class='\"hdr\"'>Remote sites</td>
				</tr>
				<%for (int i=0;i<siteStats.Length;i++) {%>
				<tr>
					<td><%=HttpUtility.HtmlEncode(siteStats[i].SiteName)%></td>
					<td><%=siteStats[i].TotalRequests%></td>
					<td><%=siteStats[i].TotalUsers%></td>
					<td><%=siteStats[i].TotalPatients%></td>
					<td><%=siteStats[i].TotalRequestSites%></td>
				</tr>
				<%}%>
			</table>
			<%}%>
		</form>
	</body>
</html>
