<%@ page masterpagefile="~/NavAndSiteSelect.master" language="c#" inherits="EMR.TreeTOC, EMR_deploy" enablesessionstate="ReadOnly" enableviewstate="False" title="Report Table of Contents" %>
<%@ Register TagPrefix="uc1" TagName="MenuControl" Src="MenuControl.ascx" %>
		<asp:Content ID="Content1" ContentPlaceHolderID="SelectionComponent" Runat="Server">
			<script type="text/javascript">
				addLoadEvent(selectTopReport);
			</script>
			<uc1:MenuControl id="menuControl" runat="server" EnableViewState="False"></uc1:MenuControl>
			<asp:PlaceHolder id="guidPlaceholder" runat="server" EnableViewState="False"></asp:PlaceHolder>
			<br />
			<form id="form1" runat="server">
			<asp:Button id="btnRefresh" runat="server" Text="Refresh Patient Data" Height="22px" Width="163px" CssClass="myButton" onclick="btnRefresh_Click"></asp:Button></form>
			<br/><br/>
			<%if (isHdrPossible()){%>
				* - Pages with HDR data<br/>
				<%}
	  if (isFhiePossible()) {%>
				&dagger; - Pages with BHIE data (Dept. of Defense)<br />
				<%}
	  if (isNhinPossible()) {%>
				&Dagger; - Pages with <a href="http://healthit.hhs.ext/portal/server.pt?open=512&objID=1142&parentname=CommunityPage&parentid=2&mode=2&in_hi_userid=10741&cached=true" title="Click here to learn more about non-VA data" target="_blank" class="external"><img src= "resources/images/icons/external.png" alt="External Link to the NwHIN Web Site"/>Non-VA</a> data
				<%}%>
		</asp:Content>
<script runat="server">
	protected bool isNhinPossible() {
		return isSitePossible("200N");
	}

	protected bool isHdrPossible() {
		return isSitePossible("CDS");
	}

	protected bool isFhiePossible() {
		return isSitePossible("200");
	}

	protected bool isSitePossible(string siteId) {
		if (_siteIds != null && _siteIds.Length > 0) {
			for (int i = 0;i < _siteIds.Length;i++) {
				if (siteId.Equals(_siteIds[i])) {
					return true;
				}
			}
		}
		return false;
	}
</script>
