<%@ control language="c#" inherits="EMR.ViewLinkSelector, EMR_deploy" %>
<% if(views!=null && enabled) {%>
<script type="text/javascript">
function resizeFrame(theFrame) {
	theFrame.height=40;
	try {
		theFrame.height=window.frames[theFrame.name].document.body.scrollHeight;
		theFrame.width=window.frames[theFrame.name].document.body.scrollWidth;
	}
	catch (err) {
		theFrame.height="120%";
	}
}

<% if (views.Length>1) {%>
function setupViewLinks() {
	for(var i=0;i<<%=views.Length%>;i++) {
		var aLink=document.getElementById("view"+i);
		aLink.onclick=linkClicked;
		if (aLink.getAttribute("rel").indexOf("start")>-1) {
			document.getElementById("viewFrame").src=aLink.href;
			setSelectedLink(aLink);
		}
	}
}

function linkClicked() {
	for(var i=0;i<<%=views.Length%>;i++) {
		var aLink=document.getElementById("view"+i);
		if ("selectedDetailLink"==aLink.className) {
			clearLink(aLink);
		}
	}
	setSelectedLink(this);
}

function setSelectedLink(aLink) {
	aLink.className="selectedDetailLink";
	aLink.visited=true;
	aLink.title="Selected link";
}

function clearLink(aLink) {
	aLink.className="detailLink";
	aLink.title="";
}

addLoadEvent(setupViewLinks);
<%} %>
</script>
<%} %>
<% if(views!=null) {
	   if (views.Length > 1) {%>
<table class="<%if(enabled){%>viewSelection<%}else{%>viewSelectionInactive<%}%>" cellpadding="5px" cellspacing="0px" frame="below">
	<tr>
		<td style="width:90%" class="viewLinkItem">
			<div align="left" nowrap>
			<%for (int i = 0;i < views.Length;i++) {
				if (views[i].IsPopup) {
					continue;
				}%>
				<%if (enabled) { %>
				<a id="view<%=i%>" href="<%=views[i].PageName%>?propertyName=<%=patientProperty%>&sessionGuid=<%=patientState.Guid.ToString()%>" target="viewFrame" rel="<%if (i==selected){%>start <%}%>section" class="detailLink" title="<%=views[i].Description%>"><%=views[i].Description%></a>&nbsp;&nbsp;
				<%}else { %>
				<span class="detailLink" title="View not available"><%=views[i].Description%></span>
				<%} %>
			<%} %>
			</div>
		</td>
		<td width="10%" class="viewLinkItem">
			<div align="right" nowrap>
			<%for (int j = 0;j < views.Length;j++) {
				 if (!views[j].IsPopup) {
					 continue;
				 }%>
				 <%if (enabled) { %>
				 <a id="view<%=j%>" href="<%=views[j].PageName%>?propertyName=<%=patientProperty%>&sessionGuid=<%=patientState.Guid.ToString()%>" target="_blank" rel="<%if (j==selected){%>start <%}%>section" class="detailLink" title="<%=views[j].Description%>"><%=views[j].Description%></a>&nbsp;&nbsp;
				 <%}else{%>
				 <span class="detailLink" title="View not available"><%=views[j].Description%></span>
				 <%} %>
			<%} %>
			</div>
		</td>
	</tr>
</table>
<%	} 
	if (enabled) {%>
	<iframe scrolling="no" width="100%" class="viewFrame" 
	onload="resizeFrame(this)" src="<%if (views!=null && views.Length==1){%><%=views[0].PageName%>&propertyName=<%=patientProperty%>&sessionGuid=<%=patientState.Guid.ToString()%><%}else{%>loadingPage.htm<%}%>" 
	name="viewFrame" id="viewFrame" height="1" frameborder="no" 
	marginwidth="0" marginheight="0"></iframe>
	<%} %>
<%} %>
