<%@ page language="c#" inherits="EMR.ViewLog, EMR_deploy" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML>
	<HEAD>
		<title>ViewLog</title>
		<meta name="GENERATOR" Content="Microsoft Visual Studio 7.0">
		<meta name="CODE_LANGUAGE" Content="C#">
		<meta name="vs_defaultClientScript" content="JavaScript">
		<meta name="vs_targetSchema" content="http://schemas.microsoft.com/intellisense/ie5">
		<link href="resources/css/main.css" type="text/css" rel="stylesheet">
	</HEAD>
	<body>
		<table border="0" width="100%">
			<tr>
				<td><img src="resources/images/vistaWeb.gif" alt="VistaWeb image"></td>
				<td align="right"><IMG src="resources/images/viewLog.gif" alt="View log image"></td>
			</tr>
		</table>
		<hr color="#cc0000">
		<p>
			<form id="viewLogForm" method="post" runat="server">
				<table border="0">
					<tr>
						<td rowspan="5">
							<asp:Calendar id="Calendar1" runat="server" BorderColor="Black" BorderStyle="Double" onselectionchanged="Calendar1_SelectionChanged">
								<NextPrevStyle Font-Bold="True" ForeColor="Red"></NextPrevStyle>
								<DayHeaderStyle Font-Bold="True"></DayHeaderStyle>
								<SelectedDayStyle Font-Bold="True" ForeColor="White" BackColor="#CC0000"></SelectedDayStyle>
								<TitleStyle Font-Size="8pt" Font-Bold="True" ForeColor="Red" BackColor="#2f4f5f"></TitleStyle>
							</asp:Calendar>
						</td>
					</tr>
					<tr>
						<td>
							<asp:Label ID="totalRequests" Runat="server" Font-Bold="True" Font-Names="Arial" Font-Size="10"></asp:Label>
						</td>
					</tr>
					<tr>
						<td>
							<asp:Label ID="totalRequesters" Runat="server" Font-Bold="True" Font-Names="Arial" Font-Size="10"></asp:Label>
						</td>
					</tr>
					<tr>
						<td>
							<asp:Label ID="totalUserSites" Runat="server" Font-Bold="True" Font-Names="Arial" Font-Size="10"></asp:Label>
						</td>
					</tr>
					<tr>
						<td>
							<asp:Label ID="totalRequestSites" Runat="server" Font-Bold="True" Font-Names="Arial" Font-Size="10"></asp:Label>
						</td>
					</tr>
				</table>
				<p></p>
				<div style="VERTICAL-ALIGN:top; OVERFLOW:auto; POSITION:relative">
					<asp:datagrid id="DataGrid1" runat="server" Font-Size="10pt" Font-Names="Georgia" OnSortCommand="Sort_Grid"
						AllowSorting="True" AutoGenerateColumns="False" UseAccessibleHeader="True">
						<AlternatingItemStyle Font-Size="10pt" Font-Names="Georgia" BackColor="LightGray"></AlternatingItemStyle>
						<HeaderStyle Font-Names="Trebuchet MS" Font-Bold="True" ForeColor="White" BackColor="#2F4F5F"></HeaderStyle>
						<Columns>
							<asp:BoundColumn DataField="Id" SortExpression="Id" ReadOnly="True" HeaderText="ID"></asp:BoundColumn>
							<asp:BoundColumn DataField="RequestDate" SortExpression="RequestDate" ReadOnly="True" HeaderText="Date"></asp:BoundColumn>
							<asp:BoundColumn DataField="UserId" SortExpression="UserId,RequestDate" ReadOnly="True" HeaderText="DUZ"></asp:BoundColumn>
							<asp:BoundColumn DataField="UserName" SortExpression="UserName,RequestDate" ReadOnly="True" HeaderText="Name"></asp:BoundColumn>
							<asp:BoundColumn DataField="UserSitecode" SortExpression="UserSitecode,RequestDate" ReadOnly="True"
								HeaderText="User Site"></asp:BoundColumn>
							<asp:BoundColumn DataField="RequestPage" SortExpression="RequestPage" ReadOnly="True" HeaderText="Page"></asp:BoundColumn>
							<asp:BoundColumn DataField="RequestSitecode" SortExpression="RequestSitecode,RequestDate" ReadOnly="True"
								HeaderText="Request Site"></asp:BoundColumn>
							<asp:BoundColumn DataField="PatientID" SortExpression="PatientID,RequestDate" ReadOnly="True" HeaderText="DFN"></asp:BoundColumn>
							<asp:BoundColumn DataField="PatientSensitivity" SortExpression="PatientSensitivity,RequestDate" ReadOnly="True"
								HeaderText="Sensitive"></asp:BoundColumn>
						</Columns>
					</asp:datagrid>
				</div>
			</form>
	</body>
</HTML>
