<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:msxsl="urn:schemas-microsoft-com:xslt" exclude-result-prefixes="msxsl"
	xmlns:a1="http://www.w3.org/2005/Atom"
	xmlns:d1="http://EXT/DOMAIN/das/schemas/dasextension/0.1/"
>
	<xsl:output method="xml" indent="yes" media-type="text/xml" omit-xml-declaration="yes"/>

	<xsl:template match="/">
		<xsl:apply-templates select="/a1:feed"/>
	</xsl:template>

	<xsl:template match="a1:feed">
		<reports>
			<xsl:apply-templates select="a1:entry"/>
		</reports>
	</xsl:template>

	<xsl:template match="a1:entry">
		<EXT.DOMAIN.mdo.Report>
			<Title><xsl:value-of select="a1:title[@type='text']"/></Title>
			<Timestamp><xsl:value-of select="a1:published"/></Timestamp>
			<Author><xsl:value-of select="a1:author/a1:name"/></Author>
			<Id><xsl:value-of select="a1:link[2]/@href"/></Id>
			<MimeType><xsl:value-of select="a1:link[2]/@type"/></MimeType>
			<Annotation>FHIE</Annotation>
			<Protocol>DAS_REST</Protocol>
		</EXT.DOMAIN.mdo.Report>
	</xsl:template>

</xsl:stylesheet>
