<%@ control language="C#" autoeventwireup="true" inherits="EMR.AsyncDetailControl, EMR_deploy" %>
<span id="__message"><img src="resources/images/loading.gif" alt="Loading detail; please wait" title="Loading detail; please wait" />&nbsp;Loading...<br /><br />Click on the 'Close' button to cancel</span>
<span id="__content"></span>
<script type="text/javascript">
var ajax=new AJAX();
ajax.setBlankPage("blank.htm"); //Required, or IE browsers will bark when running under SSL about "secure and nonsecure" items
addLoadEvent(retrieveContent);

function retrieveContent() {
	ajax.callPage("<%=asyncDetailPage%>?index=<%=getIndex()%>&sessionGuid=<%=getSessionGuid()%>",ajaxCallback);
}

function ajaxCallback(result) {
	if (null==result) return;
	if (result.length<1) return;
	var _message=document.getElementById("__message");
	if (null==_message) {
		alert("Could not process detail response; please contact the help desk");
		return;
	}
	_message.innerHTML="";
	var index=result.indexOf(":::::");
	if (index>-1) {
		result = result.substring(index+5);
	}
	index=result.indexOf(":::::");
	if (index>0) {
		result=result.substring(0,index);
	}
	var _content=document.getElementById("__content");
	if (null==_content) {
		alert("Could not display detail response; please contact the help desk");
		return;
	}
	_content.innerHTML=result;
	maybeStartUpdateClipboard();
}

function maybeStartUpdateClipboard() {
	if ("<%=isClipAvailable()%>"!="True") {
		return;
	}
	maybeDisableClipboardButton();
	ajax.callPage("<%=asyncClipPage%>?index=<%=getIndex()%>&sessionGuid=<%=getSessionGuid()%>",updateClipboard);
}

function updateClipboard(result) {
	if (null==result) return;
	if (result.length<1) return;
	var index=result.indexOf(":::::");
	if (index>-1) {
		result=result.substring(index+5);
	}
	index=result.indexOf(":::::");
	if (index>0) {
		result=result.substring(0,index);
	}
	var texts=document.getElementsByTagName("textarea");
	if (null==texts || texts.length<1) {
		return;
	}
	for (var i=0;i<texts.length;i++) {
		if ("copyToClipComponent:clipTextArea"==texts[i].name) {
			texts[i].value=result;
			maybeEnableClipboardButton();
			break;
		}
	}
}

function maybeDisableClipboardButton() {
	var clipButton=document.getElementById("clipboardButton");
	if (null==clipButton) {
		return;
	}
	clipButton.disabled="disabled";
}

function maybeEnableClipboardButton() {
	var clipButton=document.getElementById("clipboardButton");
	if (null==clipButton) {
		return;
	}
	clipButton.disabled=null;
}
</script>