<%@ page language="C#" autoeventwireup="true" inherits="EMR.DetailWait, EMR_deploy" %>
<%@ Import Namespace="EXT.DOMAIN.vistaweb.ui" %>
<%@ Register src="PatientDetailBanner.ascx" tagname="PatientDetailBanner" tagprefix="uc1" %>
<%@ Register src="PatientDetailFooter.ascx" tagname="PatientDetailFooter" tagprefix="uc2" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Detail Loading</title>
	<link href="resources/css/main.css" type="text/css" rel="stylesheet"/>
	<script type="text/javascript" src="resources/scripts/js/JSExtras.js"></script>
	<script type="text/javascript" src="resources/scripts/js/dialogWindow.js"></script>
	<script type="text/javascript" src="resources/scripts/js/ajax.js"></script>
	<script type="text/javascript" src="resources/scripts/js/common.js"></script>
</head>
<body>
    <form id="form1" runat="server">
   		<uc1:PatientDetailBanner ID="patientDetailBanner" runat="server" />
		<img alt="Detail loading; please wait..." src="resources/images/loading.gif" />Detail loading; please wait...
		<uc2:PatientDetailFooter ID="patientDetailFooter" runat="server" />
    </form>
</body>
</html>
<script runat="server">
	protected virtual string GetPageUrl() {
		string resultName = GetResult();
		string resultString = Results[resultName].ToString();
		string pageName = resultString.Substring(resultString.IndexOf('/')+1);
		int queryIndex = pageName.IndexOf('?');
		if (queryIndex > -1) {
			pageName = pageName.Substring(0, queryIndex);
		}
		return pageName;
	}

	protected virtual string GetResult() {
		if (PropertyName != null && DetailIndex > -1) {
			if (ReportNameSelectionControllerMap.Contains(PropertyName)) {
				object prop = patientState.Patient.getProperty(PropertyName);
				if (prop is EXT.DOMAIN.mdo.IMdoQueryResult) {
					prop = ((EXT.DOMAIN.mdo.IMdoQueryResult)prop).ResultObject;
				}
				object item = null;
				if (prop is IList) {
					IList items = (IList)prop;
					if (DetailIndex < items.Count) {
						item = items[DetailIndex];
					}
				}
				else if (prop != null && prop.GetType().IsArray) {
					object[] items = (object[])prop;
					if (DetailIndex < items.Length) {
						item = items[DetailIndex];
					}
				}
				if (item!=null) {
					return ((IDetailPageSelectionController)ReportNameSelectionControllerMap[PropertyName]).GetSelectionResult(item);
				}
			}
		}

		return ErrorResult;
	}

	protected override void SetupHeaders() {
		HtmlMeta meta = new HtmlMeta();
		meta.HttpEquiv = "REFRESH";
		meta.Content = "0;url=" + GetPageUrl() + "?" + UiConstants.SESSION_GUID + "=" + patientState.Guid.ToString() + "&" + UiConstants.PROPERTY + "=" + PropertyName + "&" + UiConstants.INDEX + "=" + DetailIndex.ToString();
		if (logger.IsDebugEnabled) {
			logger.Debug(meta.Content);
		}
		Header.Controls.Add(meta);
	}

</script>
