<%@ Reference Page="~/GridView.aspx" %>
<%@ Reference Control="~/CopyToClipComponent.ascx" %>
<%@ Register TagPrefix="uc1" TagName="PrintLinkComponent" Src="PrintLinkComponent.ascx" %>
<%@ page masterpagefile="~/ReportPage.master" language="c#" inherits="EMR.GridReport, EMR_deploy" %>
<%@ Register Src="GridMessageText.ascx" TagName="GridMessageText" TagPrefix="uc3" %>
<%@ Register TagPrefix="uc1" TagName="CopyToClipComponent" Src="CopyToClipComponent.ascx" %>
<%@ Register TagPrefix="uc1" TagName="ParamsAndQueryControl" Src="ParamsAndQueryControl.ascx" %>
<%@ Register TagPrefix="uc1" TagName="WaitOrCancelComponent" Src="WaitOrCancelComponent.ascx" %>
<%@ Register TagPrefix="uc1" TagName="GridControl" Src="GridControl.ascx" %>
<%@ import Namespace="EXT.DOMAIN.vistaweb.ui"  %>
	
	<%@ Register src="StringDependentUtilsControl.ascx" tagname="StringDependentUtilsControl" tagprefix="uc4" %>
	
	<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" Runat="Server">
		<script type="text/javascript">
		    function maybeStartAsyncCheck() {
				if ("<%=isAsyncPage()%>"=="True" && typeof(ajax)!="undefined") {
					checkPage();
				}
			}	
			addLoadEvent(maybeStartAsyncCheck);
		</script>
		<form id="gridReportForm" method="post" runat="server">
		    <br />
			<a name="top"></a>
			<asp:PlaceHolder id="paramsAndQueryControlPlaceholder" runat="server"></asp:PlaceHolder>
			<asp:PlaceHolder id="messagePlaceholder" runat="server" EnableViewState="False"></asp:PlaceHolder>
			<uc1:waitorcancelcomponent id="waitOrCancelComponent" runat="server"></uc1:waitorcancelcomponent>
			<asp:panel id="gridPanel" runat="server">
				<uc1:printlinkcomponent id="printLinkComponent" runat="server"></uc1:printlinkcomponent>
				<uc1:CopyToClipComponent id="copyToClipComponent" runat="server"></uc1:CopyToClipComponent>
				<div id="aDiv">
					<uc1:GridControl id="gridControl" runat="server" EnableViewState="False"></uc1:GridControl>
				</div>
				<br /><a href="#top"><font size="-2">[back to top]</font></a>
			</asp:panel>
			<uc3:GridMessageText ID="gridMessageText" runat="server" />
			<asp:textbox id="sortTextBox" runat="server" Wrap="False" CssClass="hiddenParamBox sortTextBox"></asp:textbox>
			<asp:TextBox id="pageTextBox" runat="server" Wrap="False" CssClass="hiddenParamBox pageTextBox"></asp:TextBox>
			<uc4:StringDependentUtilsControl ID="stringDependentUtilsControl" runat="server" />
		</form>
    </asp:Content>
    
    <script runat="server">
        protected override void setupReportTitle(IImageAware reportTitle)
        {
            reportTitle.ImageText = "resources/images/" + GridDefn.ImageName;
            reportTitle.AltImage = GridDefn.Description;
	    }

		protected IDictionary preDisplayTransformMap;

		public virtual IDictionary PreDisplayTransformMap {
			get { return preDisplayTransformMap; }
			set { preDisplayTransformMap = value; }
		}

		protected override void populateDisplay(object data) {
			if (PropertyName != null && PreDisplayTransformMap != null && PreDisplayTransformMap.Contains(PropertyName) && data != null) {
				if (data.GetType().IsArray) {
					object[] dataAry = (object[])data;
					IList tempList = null;
					if (dataAry.Length > 0) {
						tempList = new ArrayList(dataAry.Length);
						for (int i = 0; i < dataAry.Length; i++) {
							tempList.Add(dataAry[i]);
						}
					}
					data = tempList;
				}
				if ((data is IList) && data != null) {
					((EXT.DOMAIN.mdo.parsing.transform.IFilterTransform)PreDisplayTransformMap[PropertyName]).apply((IList)data);
				}
			}
			base.populateDisplay(data);
		}

    </script>
