<%@ control language="C#" autoeventwireup="true" inherits="EMR.LimitedDatesParams, EMR_deploy" %>
<table width="100%" style="border-style:none;border-collapse:collapse;">
	<tr>
		<td class="dateParamEntry"><asp:label id="dateRangeLabel" runat="server">Date&nbsp;Range:</asp:label></td>
		<td class="dateParamEntry" style="width:90%;">
			<asp:radiobuttonlist id="dateRangeButtonList" accessKey="R" runat="server" RepeatDirection="Horizontal" CssClass="dateParamEntry">
				<asp:ListItem Value="456" Selected="True">15 Months</asp:ListItem>
				<asp:ListItem Value="730">Two Years</asp:ListItem>
				<asp:ListItem Value="99999">All Results</asp:ListItem>
			</asp:radiobuttonlist>
			<asp:RequiredFieldValidator id="dateRangeValidator" runat="server" ErrorMessage="Please select a date range button"
				ControlToValidate="dateRangeButtonList"></asp:RequiredFieldValidator>
		</td>
		<td><asp:button id="queryButton" accessKey="Q" runat="server" Text="Query" onclick="queryButton_Click"></asp:button></td>
	</tr>
	<tr>
		<td></td>
		<td><label id="rangeMessageLabel"><b><%=HttpUtility.HtmlEncode(DateRangeLabel1)%></b>  <%=HttpUtility.HtmlEncode(DateRangeLabel2)%></label></td>
	</tr>
</table>
<script type="text/javascript">
function getDateButton(__index) {
	return document.getElementById("<%=dateRangeButtonList.ClientID%>_"+__index);
}
function dateRangeChanged() {
	for(var i=0;i<3;i++) {
		var button=getDateButton(i);
		if (null==button) continue;
		if (button.checked && button.value=="99999") {
			hideMessage();
			return;
		}
	}
	showMessage();
}
function showMessage() {
	document.getElementById("rangeMessageLabel").className="shown";
}
function hideMessage() {
	document.getElementById("rangeMessageLabel").className="hidden";
}
</script>
