<%@ page language="c#" inherits="EMR.Login, EMR_deploy" validaterequest="false" buffer="True" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<title>Login</title>
		<link href="resources/css/main.css" type="text/css" rel="stylesheet"/>
		<script type="text/javascript" src="resources/scripts/js/JSExtras.js"></script>
	</head>
	<body id="login" onload="setupTimeout()">
		<a href="#accessCodeBox" title="skip to content" class="skipToContentLink"></a>
		<img style="position:relative;float:left" src="resources/images/VistaLogin.gif" alt="Vista Login"/>
		<img style="position:relative;float:right" src="resources/images/moduleTitle.gif" alt="Medical Record Login" />
		<br style="clear:both;"/>
		<hr style="color:#cc0000" />
		<form id="loginForm" method="post" runat="server">
			<asp:literal id="messageArea" Runat="server" EnableViewState="False"></asp:literal>
			<asp:panel id="welcomePanel" runat="server" Width="100%" EnableViewState="False" CssClass="loginPanel" BorderColor="DimGray" BorderStyle="Solid" BorderWidth="2px" Height="320px" Wrap="False" ToolTip="Vista Welcome Message"></asp:panel><br/>
			<div class="loginLabels"><strong><label for="accessCodeBox">Access Code:</label></strong></div>
			<asp:textbox id="accessCodeBox" Runat="server" TextMode="Password" Width="200"></asp:textbox><br/>
			<br/>
			<div class="loginLabels"><strong><label for="verifyCodeBox">Verify Code:</label></strong></div>
			<asp:textbox id="verifyCodeBox" Runat="server" TextMode="Password" Width="200"></asp:textbox><asp:literal id="verifyMessageLiteral" runat="server" EnableViewState="False"></asp:literal><br/>
			<br/>
			<asp:button id="submitButton" Runat="server" Width="200px" Text="Login" CssClass="myButton" onclick="submitButton_Click"></asp:button></form>
		<script type="text/javascript">
			try {
				document.getElementById("accessCodeBox").focus();
			}
			catch (ex) {
				document.getElementById("verifyCodeBox").focus();
			}
		</script>
		<script runat="server">
			protected override string getNotAuthorizedSelectionMessage() {
				return "not authorized (1)";
			}

			protected override string getNotAuthorizedTabsMessage() {
				return "not authorized (2)";
			}

			protected override string getNotAuthorizedOptionMessage() {
				return "not authorized (3)";
			}		
		</script>
	</body>
</html>
