<%@ page language="C#" autoeventwireup="true" inherits="EMR.NhinDisclaimers, EMR_deploy" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<%@ Import Namespace="EXT.DOMAIN.mdo" %>
<html xmlns="http://www.w3.org/1999/xhtml" >
<head>
    <title>NwHIN Disclaimers</title>
	<link href="resources/css/main.css" type="text/css" rel="stylesheet"/>
	<link href="resources/css/nhin.css" type="text/css" rel="stylesheet"/>
	<script type="text/javascript" src="resources/scripts/js/dialogWindow.js"></script>
	<script type="text/javascript" src="resources/scripts/js/common.js"></script>
</head>
<body>
   <div> 
    <form id="form1" runat="server">
            <table style="width: 600px; height:auto; border: black thin solid; display: block; overflow: auto; position:relative; margin:5px; left: 52px; top: 28px;" runat="server" id="disclaimerTable">
               <thead>
                <tr class="second">
                    <th class="first" style="width:200px; height: 16px; font-size:12px; font-style:italic;">Facility</th>
                    <th class="first" style="width:400px; height: 16px; font-size:12px; font-style:italic;" align="center">Note</th>
                </tr>
               </thead>
            </table>
        </form>
   </div>
   <br/><br/><br/>
   <input class="myButton" type="button" value="Close" style="margin:5px" onclick="top.close();" />
</body>
</html>
<script runat="server">
	protected override void Page_Load(object sender, EventArgs e) {
		base.Page_Load(sender, e);
		maybeSetNhinComments(patientState.Patient.DomainMessages);
	}
	
	protected void maybeSetNhinComments(IDomainMessage[] items) {
		for (int j = disclaimerTable.Rows.Count; j > 1; j--) {
			disclaimerTable.Rows.RemoveAt(j);
		}
		HtmlTableRow htRow = null;
		HtmlTableCell htCell = null;
		HtmlTableCell htCell2 = null;
		if (items != null) {
			disclaimerTable.CellPadding = 4;
			for (int i = 0; i < items.Length; i++) {
				if (items[i] != null && (propertyName.Contains(items[i].Domain))) {
					htRow = new HtmlTableRow();
					htCell = new HtmlTableCell();
					htCell2 = new HtmlTableCell();

					if (items[i].Facility != null) {
						htCell.InnerText = items[i].Facility;
						htCell.BorderColor = "black";
						htRow.Cells.Add(htCell);
						htRow.BorderColor = "black";
						disclaimerTable.Rows.Add(htRow);
					}
					else {
						htCell.InnerText = "No Facility found!";
						htCell.BorderColor = "black";
						htRow.Cells.Add(htCell);
						htRow.BorderColor = "black";
						disclaimerTable.Rows.Add(htRow);
					}

					if (items[i].Message != null) {
						htCell2.InnerText = items[i].Message;
						htRow.Cells.Add(htCell2);
					}
					else {
						htCell2.InnerText = "-- Not Available --";
						htCell.BorderColor = "black";
						htRow.Cells.Add(htCell2);
					}
				}
				else {
					continue;
				}
			}
		}
		else {
			htRow = new HtmlTableRow();
			htCell = new HtmlTableCell();
			htCell2 = new HtmlTableCell();

			htCell.InnerText = "-- Not Available --";
			htCell.BorderColor = "black";
			htRow.Cells.Add(htCell);
			htRow.BorderColor = "black";
			disclaimerTable.Rows.Add(htRow);

			htCell2.InnerText = "No additional information available";
			htCell2.BorderColor = "black";
			htRow.Cells.Add(htCell);
			htRow.BorderColor = "black";
			disclaimerTable.Rows.Add(htRow);
		}
		formatTable();
		return;
	}

	protected virtual void formatTable() {
		AttributeCollection attributes = disclaimerTable.Attributes;

		disclaimerTable.Attributes.CssStyle.Add("background-color", "#CCCCff");

		for (int i = 0; i < disclaimerTable.Rows.Count; i++) {
			for (int j = 0; j < disclaimerTable.Rows[i].Cells.Count; j++) {
				disclaimerTable.Rows[i].Cells[j].Attributes.CssStyle.Add("border", "black thin solid");
				disclaimerTable.Rows[i].Cells[j].Attributes.CssStyle.Add("border-color", "black");

			}
		}
	}
        

</script>
