<%@ page language="C#" autoeventwireup="true" inherits="EMR.NwhinPatientHeader, EMR_deploy" %>
<%@ Register src="PatientDetailBanner.ascx" tagname="PatientDetailBanner" tagprefix="uc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Detail</title>
	<link href="resources/css/main.css" type="text/css" rel="stylesheet"/>
	<script type="text/javascript" src="resources/scripts/js/JSExtras.js"></script>
	<script type="text/javascript" src="resources/scripts/js/dialogWindow.js"></script>
	<script type="text/javascript" src="resources/scripts/js/ajax.js"></script>
	<script type="text/javascript" src="resources/scripts/js/common.js"></script>
	<script type="text/javascript">
		function printStuff() {
			if (null != dlgDetailPrint) {
				dlgDetailPrint.close();
			}
			dlgDetailPrint = getDialogWindow("C62TextPrint.aspx?" + location.search.substring(1),"c62TextPrint");
		}
	</script>
</head>
<body>
	<form id="form1" runat="server">
		<uc1:PatientDetailBanner ID="patientDetailBanner" runat="server" />
		<div style="width:100%;padding:2px;border:1px none;margin:0px;">
		<div>
			<span>Document Class:</span>
			<span><asp:Label ID="DocumentClass" runat="server"></asp:Label></span>
		</div>
	 	 
	  <div>
		<span>Site:</span>
	    <span><asp:Label ID="Site" runat="server"></asp:Label></span>
	  </div>

      <div style="width:150px;padding:2px;border:1px none;margin:0px; float:left;">
		<span>Date:</span>
		<span><asp:Label ID="Date" runat="server"></asp:Label></span>
	  </div>
	  <div style="width:250px;padding:2px;border:1px none;margin:0px;clear:right;">
		<span>Author:</span>
		<span><asp:Label ID="Author1" runat="server"></asp:Label></span>
      </div>
      <br />	  
	  <div>
		<span>Doc Title:</span>
		<span><asp:Label ID="DocTitle" runat="server"></asp:Label></span>
	  </div>
      
	 <div style="width:250px;padding:2px;border:1px none;margin:0px; float:left;">
		<span>Date of Note:</span>
		<span><asp:Label ID="DateOfNote" runat="server"></asp:Label></span>
	 </div>
	 
	 <div style="width:250px;padding:2px;border:1px none;margin:0px;clear:right;">
		<span>Author:</span>
		<span><asp:Label ID="Author2" runat="server"></asp:Label></span>
	  </div>
	  
	  <div style="width:250px;padding:2px;border:1px none;margin:0px; float:left;">
		<span>Date Signed:</span>
		<span><asp:Label ID="DateSigned" runat="server"></asp:Label></span>
	  </div>
	  <div style="width:250px;padding:2px;border:1px none;margin:0px;clear:right;">
		<span>Signed By:</span>
		<span><asp:Label ID="SignedBy" runat="server"></asp:Label></span>
	  </div>
	  <br />
	  <div><span>NOTE CONTENT:</span></div>
	  </div>
	</form>

</body>
</html>
<script runat="server">
	protected override void SetupPageItems() {
		patientDetailBanner.PrintLinkComponent.Visible = false;
		patientDetailBanner.CopyToClipComponent.Visible = false;

		if (report != null) {
			if (!IsPdf()) {
				string clipText = null;
				patientDetailBanner.CopyToClipComponent.Visible = true;
				if (report.Text == null || report.Text.Length < 1) {
					clipText = "";
				}
				else if (report.IsErrorEntry) {
					clipText = "* Error: " + report.Text;
				}
				else {
					patientDetailBanner.PrintLinkComponent.Visible = true;
					clipText = ClipboardEncoding.GetString(Convert.FromBase64String(report.Text));
				}
				patientDetailBanner.CopyToClipComponent.Text = clipText;
			}
			DocumentClass.Text = report.DocClass;
	
			Date.Text = DateFormat.formatText(report.DocTimeStamp);	
			Author1.Text = report.Author;
			DocTitle.Text = report.DocTitle;
			DateOfNote.Text = DateFormat.formatText(report.DateOfNote);
			Author2.Text = report.Author;
			DateSigned.Text = DateFormat.formatText(report.DateSigned);
			SignedBy.Text = "";
		}
	}

	protected virtual bool IsPdf() {
		return report!=null && EXT.DOMAIN.hds.text.StringUtils.equalsNullSafeIgnoreCase("application/pdf", report.MediaType);
	}
	
</script>
