<%@ page masterpagefile="~/ReportPage.master" language="c#" inherits="EMR.PatientPage, EMR_deploy" %>
<%@ Register TagPrefix="uc1" TagName="PrintLinkComponent" Src="PrintLinkComponent.ascx" %>
<%@ Register TagPrefix="uc1" TagName="TabPanelControl" Src="TabPanelControl.ascx" %>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" Runat="Server">
    <script type="text/javascript">
        addLoadEvent(setBehavior);
    </script>
	<form id="patientPageForm" method="post" runat="server">
		<uc1:PrintLinkComponent id="printLinkComponent" runat="server"></uc1:PrintLinkComponent>
		<uc1:TabPanelControl id="tabPanelControl" runat="server"></uc1:TabPanelControl>
	</form>
</asp:Content>
<script runat="server">
    protected override string getEmptyProviderString() {
	    return "Primary care team unassigned.\n";
    }

    protected override string getProviderString(EXT.DOMAIN.mdo.IPCP pcp) {
	    return pcp.Team + " / " + pcp.Provider + "\n";
    }
	
    protected override void setupReportTitle(EXT.DOMAIN.vistaweb.ui.IImageAware reportTitle) {
        reportTitle.ImageText = "resources/images/patientInquiry.gif";
        reportTitle.AltImage = "Patient Inquiry";
    }
</script>
