<%@ control language="C#" autoeventwireup="true" inherits="EMR.PtMiniDemographics, EMR_deploy" %>
<textarea readonly="readonly" rows="3" cols="35" style="overflow:hidden" tabindex="70" class="readonly spanHdr"><%=GetName()%>
SSN: <%=GetNationalId()%>
DOB: <%=GetDob()%></textarea>
<script runat="server">
	protected virtual string GetName() {
		if (Patient != null && Patient.Alias != null) {
			return HttpUtility.HtmlEncode("Name :" + PersonNameFormat.formatText(Patient.PrimaryName));
		}
		return "&nbsp;";
	}
	
	protected virtual string GetNationalId() {
		if (Patient != null && Patient.NationalId != null) {
			if (Patient.NationalId.IsSensitive) {
				return "*SENSITIVE*";
			}
			else {
				return HttpUtility.HtmlEncode(NationalIdFormat.formatText(Patient.NationalId));
			}
		}
		return "";
	}
	
	protected virtual string GetDob() {
		if (Patient != null) {
			if (Patient.NationalId != null && Patient.NationalId.IsSensitive) {
				return "*SENSITIVE*";
			}
			if (Patient.DOB != null) {
				return HttpUtility.HtmlEncode(DateFormat.formatText(Patient.DOB));
			}
		}
		return "";
	}
</script>