<%@ page language="c#" inherits="EMR.ServerConnect, EMR_deploy" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<title>ServerConnect</title>
		<link href="resources/css/main.css" type="text/css" rel="stylesheet"/>
		<script type="text/javascript" src="resources/scripts/js/ajax.js"></script>
	</head>
	<body onload="initPage();" onunload="clearTimers();">
		<form id="serverConnectForm" method="post" runat="server">
			<table cellpadding="0" cellspacing="5" width="100%">
				<tr>
					<td align="left" style="width:33%;FONT-WEIGHT: bolder; COLOR: teal; FONT-VARIANT: small-caps">Connecting 
						to systems:&nbsp;Please wait...</td>
					<td style="width:33%" class="hdr"><asp:Label id="patientLabel" runat="server"></asp:Label></td>
					<td style="width:33%" align="right"><img alt="medical record" src="resources/images/moduleTitle.gif"/></td>
				</tr>
				<tr>
					<td colspan="3"><span id="connectedLabel"></span>&nbsp;<span id="connectedField"></span></td>
				</tr>
				<tr>
					<td colspan="3"><span id='errorsLabel"'></span>&nbsp;<span id="errorsField"></span></td>
				</tr>
			</table><br/>
			<label id="badErrorLabel" class="hide"></label><br/><br/>
			<input id="backButton" type="button" class="myButton" value="Back to Patient Selection" onclick="gotoPatientSelection.submit();"/>
			<asp:TextBox ID="localDateTextBox" runat="server" CssClass="hiddenParamBox" EnableViewState="False" OnTextChanged="localDateTextBox_TextChanged" TabIndex="9998"></asp:TextBox>
			<asp:TextBox ID="localAwivIndicatorBox" runat="server" CssClass="hiddenParamBox" EnableViewState="False" TabIndex="9999" OnTextChanged="localAwivIndicatorBox_TextChanged"></asp:TextBox>
			<!--%if (!IsAwivDisabled && Request.Browser.ActiveXControls) {%>
			<script for="awivControl" event="OnGeneralError"></script>
			<script for="awivControl" event="OnDecryptError"></script>
			<script for="awivControl" event="OnParamsError"></script>
			<object style="display:none;" id="awivControl" classid="< %=AwivClassId% >"><param name='VW_ParmStr' value='' /></object>
			< %}-->
		</form>
		<hr style="color:#cc0000"/>
		<form action="PatientSelection.aspx" id="gotoPatientSelection"></form>
		<script type="text/javascript">
function zeroPad(aString) {
	var _string="" + aString;
	if (_string.length<2) {
		return "0" + _string;
	}
	return _string;
}

function initPage() {
	if ('<%=hideButton%>'=='True') document.getElementById("backButton").style.visibility="hidden";
	initTimers();
	var aDate=new Date();
	var dateBox=document.getElementById("localDateTextBox");
	dateBox.value=zeroPad(aDate.getMonth()+1) + "/" + zeroPad(aDate.getDate()) + "/" + (aDate.getFullYear()) + " " + zeroPad(aDate.getHours()) + ":" + zeroPad(aDate.getMinutes());
	var awivBox=document.getElementById("localAwivIndicatorBox");
	var awivComp=document.getElementById("awivControl");
	//if (null!=awivBox && null!=awivComp) {
	//	if (awivComp.object!=null) {
			awivBox.value="true";
	//	}
	//}
}

function initTimers() {
	timeoutId=window.setTimeout(updateMessages,millis);
}

function setVisibleMessageState() {
	isMessageVisible=true;
}

function updateMessages() {
	ajax.callPage(getCheckPageName(),ajaxCallback);
}

function getCheckPageName() {
	return "CheckMultiDaoSetup.aspx";
}

function clearTimers() {
	if (null!=timeoutId) {
		window.clearTimeout(timeoutId);
	}
}

function ajaxCallback(theData) {
	if (millis<3000) {
		millis = millis + 500;
	}
	if (null==theData) {
		processException("::no browser data:");
		return;
	}
	if (theData.indexOf(":exception:")>-1) {
		processException(theData);
		return;
	}
	if (theData.indexOf(":done:")>-1) {
		clearTimers();
		serverConnectForm.submit();
	}
	var stringAry=theData.split(":");
	if (stringAry.length>3) {
		var connField=document.getElementById("connectedField");
		var connLabel=document.getElementById("connectedLabel");
		if (null!=connField && null!=connLabel) {
			connField.innerHTML=stringAry[1] + " of " + stringAry[2];
			connLabel.innerHTML="Systems Connected:";
		}
		var errField=document.getElementById("errorsField");
		var errLabel=document.getElementById("errorsLabel");
		if (null!=errField && null!=errLabel) {
			errField.innerHTML=stringAry[3];
			errLabel.innerHTML="Errors Found:";
		}
	}
	initTimers();
}

function processException(theData) {
	clearTimers();
	if (null==theData) return;
	var strAry=theData.split(":");
	var badErrLabel=document.getElementById("badErrorLabel");
	var badErrButton=document.getElementById("badErrorButton");
	if (null!=badErrLabel) {
		badErrLabel.className="errorShow";
		badErrLabel.innerHTML="Error getting remote sites";
		if (theData.length>2) {
			badErrLabel.innerHTML=badErrLabel.innerHTML+": " + strAry[2];
		}
	}
}

var isMessageVisible=false;
var timeoutId;
var millis=500;
var ajax=new AJAX();
ajax.setBlankPage("blank.htm");
		</script>
		<script runat="server">
			protected override void Page_Load(object sender, EventArgs e) {
				//This overridden method can be removed when Javascript to detect the AWIV starts functioning
				//:-(
				Session[EXT.DOMAIN.vistaweb.ui.UiConstants.AWIV_AVAILABLE] = true;
				base.Page_Load(sender, e);
			}
		</script>
	</body>
</html>
