<%@ control language="C#" autoeventwireup="true" inherits="EMR.StringDependentUtilsControl, EMR_deploy" %>
<%@ Import Namespace="EXT.DOMAIN.mdo.dao" %>
<script runat="server">
	public override bool IsVersionSensitive(object[] items) {
		if (items == null || items.Length < 2) return false;
		EXT.DOMAIN.mdo.version.IVersion[] versions = null;
		for (int i = 0; i < items.Length; i++) {
			if (!(items[i] is EXT.DOMAIN.mdo.version.IVersionAware)) {
				return false;
			}
			if (versions == null) {
				versions = new EXT.DOMAIN.mdo.version.IVersion[items.Length];
			}
			versions[i] = ((EXT.DOMAIN.mdo.version.IVersionAware)items[i]).Version;
		}
		return !EXT.DOMAIN.mdo.version.VersionUtil.isRevisionCommon(versions);
	}

	public override bool IsHdrItem(object item) {
		if (item is IProtocolAware) {
			string daoProtocol = ((IProtocolAware)item).Protocol;
			if (daoProtocol == null) {
				daoProtocol = "";
			}
			return "cds".Equals(daoProtocol.ToLower());
		}
		return false;
	}

	public override bool IsFhieItem(object item) {
		if (item is IProtocolAware) {
			string daoProtocol = ((IProtocolAware)item).Protocol;
			if (daoProtocol == null) {
				daoProtocol = "";
			}
			return "fhie".Equals(daoProtocol.ToLower());
		}
		return false;
	}

	public override bool IsNhinItem(object item) {
		if (item is IProtocolAware) {
			string daoProtocol = ((IProtocolAware)item).Protocol;
			if (daoProtocol == null) {
				daoProtocol = "";
			}
			return "nhin".Equals(daoProtocol.ToLower());
		}
		return false;
	}
	
</script>
