<%@ control language="c#" inherits="EMR.Migrated_WaitOrCancelComponent, EMR_deploy" %>
<!-- waitOrCancel -->
<div style="position:relative">
<table id="Table1" cellspacing="1" cellpadding="1" width="100%" border="0">
	<tr>
		<td>
			<asp:image id="diskImage" runat="server" EnableViewState="False" AlternateText="Accessing data..."
				ImageUrl="resources/images/CD_and_drive.gif"></asp:image>
		</td>
		<td>
			<div class="header"><asp:label id="loadingLabel" runat="server" EnableViewState="False">Data Loading: Please Wait</asp:label></div>
		</td>
		<td style="width:50%"><div id="messageLabel" class="message">Loading Page...</div>
		</td>
		<td>
			<asp:button id="cancelButton" accessKey="C" runat="server" EnableViewState="False" Text="Cancel"
				CssClass="myButton" ToolTip="Cancel the current page load" onclick="cancelButton_Click"></asp:button></td>
	</tr>
</table>
<asp:customvalidator id="validator" runat="server" EnableViewState="False" ErrorMessage="" ClientValidationFunction="documentReload"
	ForeColor="Transparent"></asp:customvalidator>
</div>
<script type="text/javascript">
function checkPage() {
	cancelTimer();
	setMessage("Checking server...");
	ajax.callPage(getCheckPageName(),ajaxCallback);
}

function reload() {
	setButtonEnabled(false);
	setMessage("Loading Page...");
	var parentForm=document.getElementById("<%=ClientParentId%>");
	parentForm.submit();
}

function cancelTimer() {
	if (typeof(currentTimer)=="undefined") {}
	else {
		window.clearTimeout(currentTimer);
		currentTimer=null;
	}
}

function redirectToError() {
	redirectTo("Oops.aspx");
}

function setMessage(message) {
	var messageComp=document.getElementById("messageLabel");
	if(typeof(messageComp)=="undefined") {
		return;
	}
	messageComp.innerHTML=message;
}

function redirectTo(redirLocation) {
	setButtonEnabled(false);
	document.location.replace(redirLocation);
}

function ajaxCallback(theData) {
	setMessage("");
	setButtonEnabled(false);
	dataError=false;
	dataReady=false;
	if(theData.indexOf('error')>-1) {
		dataError=true;
	}
	if(theData.indexOf('okay')>-1) {
		dataReady=true;
	}
	endCheck();
}

function setButtonEnabled(isEnabled) {
	var button=document.getElementById("<%=ID%>_cancelButton");
	if (null==button) {
		return;
	}
	button.disabled=!isEnabled;
}

function endCheck() {
	if (!running) {
		return;
	}
	if (dataError) {
		redirectToError();
		return;
	}
	if (!dataReady) {
		waitTime+=1000;
		if (waitTime>5000) {
			waitTime=5000;
		}
		setButtonEnabled(true);
		currentTimer=window.setTimeout(checkPage,waitTime);
	}
	else {
		reload();
	}
}

function getCheckPageName() {
	return "CheckPage.aspx?property=<%=propertyName%>";
}

function documentReload(source, arguments) {
	cancelTimer();
	arguments.IsValid=true;
	running=false;
	setMessage("");
}

var dataReady=false;
var dataError=false;
var waitTime=1000;
var ajax=new AJAX();
var currentTimer;
var running=true;
window.onunload=cancelTimer;
ajax.setBlankPage("blank.htm"); //Required, or IE browsers will bark when running under SSL about "secure and nonsecure" items

</script>
