function addLoadEvent(theFunc) {
	var oldloadfunc=window.onload;
	if (typeof window.onload!="function") {
		window.onload=theFunc;
	}
	else {
		window.onload = function() {
			if (oldloadfunc) {
				oldloadfunc();
			}
			theFunc();
		}
	}
}
function addUnloadEvent(theFunc) {
	var oldUnloadFunc=window.onunload;
	if (typeof window.onunload!="function") {
		window.onunload=theFunc;
	}
	else {
		window.onunload = function() {
			if (oldUnloadFunc) {
				oldUnloadFunc();
			}
			theFunc();
		}
	}
}

function showHelp(aUrl) {
	openNewWindow(aUrl, "Help");
}

function getComponentWithClass(_compType, _className, _container) {
	if (null==_compType || null==_className) return null;
	if (null==_container) _container=document;
	var _comps = _container.getElementsByTagName(_compType);
	if (null==_comps || _comps.length<1) return null;
	for (var i=0;i<_comps.length;i++) {
		if (null!=_comps[i].className && _comps[i].className.indexOf(_className)>-1) {
			return _comps[i];
		}
	}
	return null;
}
