var offset = 0;

jQuery.fn.fixedtableheader = function (options) {
    var settings = jQuery.extend({
        headerrowsize: 1,
        highlightrow: false,
        highlightclass: "highlight"
    }, options);
    this.each(function (i) {
        if ($(".headerContainer").offset() != null) {
            offset = $(".headerContainer").offset().top + $(".headerContainer").outerHeight(true);
        }
       
        var $tbl = $(this);
        var $tblhfixed = $tbl.find("tr:lt(" + settings.headerrowsize + ")");
        var headerelement = "th";
        if ($tblhfixed.find(headerelement).length == 0)
            headerelement = "td";
        if ($tblhfixed.find(headerelement).length > 0) {
            $tblhfixed.find(headerelement).each(function () {
                $(this).css("width", $(this).width());
            });
            var $clonedTable = $tbl.clone().empty();
            var tblwidth = GetTblWidth($tbl);
            $clonedTable.attr("id", "fixedtableheader" + i).css({
                "position": "fixed",
                "top": "0",
                "left": $tbl.offset().left
            }).append($tblhfixed.clone()).width(tblwidth).hide().appendTo($("body"));
            if (settings.highlightrow)
                $("tr:gt(" + (settings.headerrowsize - 1) + ")", $tbl)
								.hover(
										function () {
										    $(this).addClass(settings.highlightclass);
										},
										function () {
										    $(this).removeClass(settings.highlightclass);
										});

            $(window).scroll(function () {
                if (jQuery.browser.msie && jQuery.browser.version == "7.0")
                    $clonedTable.css({
                        "position": "fixed",
                        "top": offset + "px",
                        "left": $tbl.offset().left - $(window).scrollLeft()
                    });
                else
                    $clonedTable.css({
                        "position": "fixed",
                        "top": offset + "px",
                        "left": $tbl.offset().left - $(window).scrollLeft()
                    });

                var sctop = $(window).scrollTop() + offset;
                var elmtop = $tblhfixed.offset().top;
                if (sctop > elmtop && sctop <= (elmtop + $tbl.height() - $tblhfixed.height())) {
                    $clonedTable.show();
                } else {
                    $clonedTable.hide();
                }
            });


            $(window).resize(function () {
                var sctop = $(window).scrollTop() + offset;
                var elmtop = $tblhfixed.offset().top;
                if (sctop > elmtop && sctop <= (elmtop + $tbl.height() - $tblhfixed.height())) {
                    $tblhfixed.find(headerelement).each(function (index) {
                        var w = $(this).width();
    //                    $(this).css("width", w);
                        $clonedTable.find(headerelement).eq(index).css("width", w);
                    });
                    $clonedTable.width($tbl.outerWidth());

                    $clonedTable.show();
                } else {
                    $clonedTable.hide();
                }
            });
        }
    });

    function GetTblWidth($tbl) {
        var tblwidth = $tbl.outerWidth();
        return tblwidth;
    }
};