<%@ page language="c#" inherits="userAccess.UserCleanup, EMR_deploy" %>
<%@ Import Namespace="EXT.DOMAIN.vistaweb.specialUser" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<html>
	<head>
		<title>UserCleanup</title>
		<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR"/>
		<meta content="C#" name="CODE_LANGUAGE"/>
		<meta content="JavaScript" name="vs_defaultClientScript"/>
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema"/>
		<link href="resources/css/main.css" type="text/css" rel="stylesheet"/>
		<script type="text/javascript" src="../resources/scripts/js/common.js"></script>
	</head>
	<body>
		<table width="100%" border="0">
			<tr>
				<td>
					<div class="allCaps">User&nbsp;Cleanup</div>
				</td>
				<td align="right">
					<div class="allCaps">User&nbsp;Management</div>
				</td>
			</tr>
		</table>
		<hr color="#cc0000"/>
		<br/>
		<a href="LoginFrameset.htm" target="_top">Home</a>&nbsp;&nbsp; <a href="UserSelectFrameset.htm" target="_top">
			User Selection</a><br/>
		<br/>
		<form id="Form1" method="post" runat="server">
			<asp:label id="instructionLabel" runat="server">The users listed below do not have an active VistA record, but still have an active special user role.</asp:label><br>
			<br/>
			<asp:linkbutton id="markAllButton" tabIndex="10" runat="server" onclick="markAllButton_Click">Mark ALL users as INACTIVE as of the date given</asp:linkbutton><br>
			<br/>
			<asp:linkbutton id="markSelectedButton" tabIndex="20" runat="server" onclick="markSelectedButton_Click">Mark SELECTED users as INACTIVE as of the date given</asp:linkbutton><br>
			<br/>
			<asp:calendar id="calendarComponent" tabIndex="30" runat="server"></asp:calendar><br/>
			<a title="Check all items below" href="javascript:checkBoxes(true)">Select All</a><br/>
			<a title="Un-check all items below" href="javascript:checkBoxes(false)">Select None</a><br/>
			<asp:textbox id="selectionTextBox" style="VISIBILITY: hidden" runat="server"></asp:textbox>
			<%if (specUsers!=null) { %>
			<table cellspacing="0" rules="all" border="1" id="gridTable" class="gridTable" name="gridTable" style="border-collapse:collapse;">
				<tr style="color:white;background-color:DarkSlateGray;font-weight:bold;">
					<th scope="col" class="gridColumn">Select</th>
					<th scope="col" class="gridColumn">User Name</th>
					<th scope="col" class="gridColumn">User DUZ</th>
					<th scope="col" class="gridColumn">Site Name</th>
					<th scope="col" class="gridColumn">Site ID</th>
					<th scope="col" class="gridColumn">Reason</th>
					<th scope="col" class="gridColumn">Active Date</th>
				</tr>
				<%for (int i = 0;i < specUsers.Count;i++) {
					ISpecialUser user = (ISpecialUser)specUsers[i];%>
				<tr class="gridRow<%if ((i % 2)==0){%>A<%}else{%>B<%}%>">
					<td><input type="checkbox" value="<%=user.Id%>"/></td>
					<td><%=HttpUtility.HtmlEncode(user.Name)%></td>
					<td><%=user.FacilityId%></td>
					<td><%=HttpUtility.HtmlEncode(user.Facility)%></td>
					<td><%=user.SiteId%></td>
					<td><%=HttpUtility.HtmlEncode(user.Reason)%></td>
					<%if (user.ActiveDate != EXT.DOMAIN.hds.util.DateTimeUtil.EMPTY_DATE_TIME) {%>
					<td><%=HttpUtility.HtmlEncode(user.ActiveDate.ToString(dateTimeFormat))%></td>
					<%}else{ %>
					<td>(null)</td>
					<%} %>
				</tr>
				<%} %>
			</table>
			<%} %>
		</form>
		<script type="text/javascript">
		function checkBoxes(setting) {
			var selectionBox=document.getElementById("selectionTextBox");
			selectionBox.value="";
			var comps=document.getElementsByTagName("input");
			if (comps===null || comps.length==0) return;
			var newString="";
			for(var i=0;i<comps.length;i++) {
				if (comps[i].type=="checkbox") {
					comps[i].checked=setting;
					if (setting) {
						if (newString!="") newString+=",";
						newString+=comps[i].value;
					}
				}
			}
			selectionBox.value=newString;
		}
		function checkBox(checkValue) {
			if (checkValue=="") return;
			var checks=document.getElementsByTagName("input");
			if (checks===null || checks.length==0) return;
			for(var i=0;i<checks.length;i++) {
				if (checks[i].type=="checkbox" && checks[i].value==checkValue) {
					checks[i].checked=true;
					break;
				}
			}
		}
		function setupSelection() {
			var selectBox=document.getElementById("selectionTextBox");
			var strings=selectBox.value.split(",");
			for(var i=0;i<strings.length;i++) {
				checkBox(strings[i]);
			}
			var comps=document.getElementsByTagName("input");
			if (comps===null || comps.length==0) return;
			for(var i=0;i<comps.length;i++) {
				if (comps[i].type=="checkbox") comps[i].onclick=boxChecked;
			}
		}
		function boxChecked() {
			var selectionBox=document.getElementById("selectionTextBox");
			selectionBox.value="";
			var comps=document.getElementsByTagName("input");
			if (comps===null || comps.length==0) return;
			var newString="";
			for(var i=0;i<comps.length;i++) {
				if (comps[i].type=="checkbox" && comps[i].checked) {
					if (newString!="") newString+=",";
					newString+=comps[i].value;
				}
			}
			selectionBox.value=newString;
		}
		addLoadEvent(setupSelection);
		</script>
	</body>
</html>
