<%@ page language="c#" inherits="userAccess.UserSites, EMR_deploy" %>
<%@ Import Namespace="System.Web" %>
<%@ Import Namespace="EXT.DOMAIN.mdo.site" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<title>Sites</title>
		<link href="resources/css/main.css" type="text/css" rel="stylesheet"/>
		<script type="text/javascript" src="../resources/scripts/js/main.js"></script>
		<script type="text/javascript" src="../resources/scripts/js/common.js"></script>
		<script type="text/javascript" src="../resources/scripts/js/dialogWindow.js"></script>
		<script type="text/javascript">
			function showManual() {
				showHelp("Manual.htm");
			}

			function nodeClick(_string) {
				var selectionField=document.getElementById("hiddenSiteSelection");
				if (null==selectionField) return;
				selectionField.value=_string;
				var submitForm=document.getElementById("sitesForm");
				if (null==submitForm) return;
				submitForm.submit();
			}
			
			function allUsersValidator(source, arguments) {
				if ("True"=="<%=IsAllUsers%>") {
					if (window.confirm("Are you sure you want to make this change for all users?")) {
						arguments.IsValid=true;
					}
					else {
						arguments.IsValid=false;
					}
				}
				else {
					arguments.IsValid=true;
				}
			}
			
			addLoadEvent(initMenuToggles);
		</script>
		<style type="text/css">
			body,form {
				margin:0;
				border:0;
				height:100%;
				max-height:100%;
				overflow:hidden;
				padding:80px 0 0 0;
			}
			#sitesForm {
				padding:80px 0 0 0;
				width:100%;
			}
			#headerInfo {
				position:absolute;
				top:0;
				left:0;
				width:100%;
				height:80px;
				overflow:auto;
				padding:5px 5px 5px 5px;
			}
			#bottomContent {
				position:fixed;
				top:80px;
				left:0;
				right:0;
				bottom:0;
				width:100%;
				overflow:auto;
				padding:5px 5px 5px 5px;
			}
			* html #bottomContent {
				height:100%;
			}
		</style>
	</head>
	<body>
		<form id="sitesForm" method="post" runat="server">
			<div id="headerInfo">
				<div class="allCaps" style="float:left;position:relative;width:20%;text-align:left">Site Selection</div>
				<div style="float:left;position:relative;width:59%;text-align:center"><asp:Label id="providerLabel" runat="server" EnableViewState="False" CssClass="hdr">provider label</asp:Label></div>
				<div class="allCaps" style="float:right;position:relative;text-align:right">User Management</div>
				<br style="clear:both"/>
				
				<hr style="color:#cc0000" />
				
				<a href="LoginFrameset.htm" target="_top">Home</a>&nbsp;&nbsp;
				<a href="UserSelectFrameset.htm" target="_top">User Selection</a>
			</div>
			
			<div id="bottomContent">
			<div style="position:relative;float:left;width:20%">
				<asp:checkbox id="chkAllSites" AutoPostBack="True" Text="All Sites" Runat="server" oncheckedchanged="chkAllSites_CheckedChanged"></asp:checkbox>
				<p></p>
				<asp:Panel ID="treePanel" runat="server" BorderStyle="None">
					<div id="nav">
					<ul>
					<%IRegion[] regions = siteTableDao.getSiteTable().Regions;
					for (int i = 0;i < regions.Length;i++) {%>
						<li>
							<a href="#offsetParent" class="handler"><img src="resources/images/icons/plus-sign.gif" alt="Expandable Item" class="node"/><img src="resources/images/icons/minus-sign.gif" alt="Collapsable Item" class="node-down"/> <%=regions[i].Id%>:&nbsp;<%=HttpUtility.HtmlEncode(regions[i].Name)%></a>
							<ul class="toggle">
								<li><a href="javascript:nodeClick('<%=regions[i].Id%>:')"><img src="resources/images/icons/bullet.gif" alt="Selectable Item" class="link"/> Add entire region</a></li>
								<%ISite[] sites = regions[i].Sites;
								for (int j=0;j<sites.Length;j++) {%>
									<li><a href="javascript:nodeClick('<%=regions[i].Id%>:<%=sites[j].Id%>')" title="Station # <%=sites[j].Id%>"><img src="resources/images/icons/bullet.gif" alt="Selectable Item" class="link"/> <%=HttpUtility.HtmlEncode(SiteHelper.GetSiteNameMF(sites[j]))%></a></li>
								<%} %>
							</ul>
						</li>
					<%} %>
					</ul>
					</div>
				</asp:Panel>
				<asp:TextBox id="hiddenSiteSelection" runat="server" CssClass="hiddenTextInput" Wrap="False" ontextchanged="hiddenSiteSelection_TextChanged"></asp:TextBox>
			</div>
			
			<div style="position:relative;float:left;width:63%;padding-left:4px">
				<asp:datagrid id="DataGrid1" runat="server" Font-Size="10pt" AutoGenerateColumns="False" Font-Names="Georgia">
					<AlternatingItemStyle Font-Size="10pt" Font-Names="Georgia" BackColor="moccasin"></AlternatingItemStyle>
					<HeaderStyle Font-Names="Microsoft sans serif" Font-Bold="True" ForeColor="White" BackColor="darkolivegreen"></HeaderStyle>
					<Columns>
						<asp:BoundColumn DataField="RecID" ReadOnly="True" HeaderText="RecID" Visible="False"></asp:BoundColumn>
						<asp:BoundColumn DataField="Site" ReadOnly="True" HeaderText="Site"></asp:BoundColumn>
						<asp:BoundColumn DataField="Reason" ReadOnly="True" HeaderText="Reason"></asp:BoundColumn>
						<asp:BoundColumn DataField="ActiveDate" ReadOnly="True" HeaderText="Activation Date"></asp:BoundColumn>
						<asp:BoundColumn DataField="DeactiveDate" ReadOnly="True" HeaderText="Deactivation Date"></asp:BoundColumn>
						<asp:BoundColumn DataField="Op" HeaderText="Op" Visible="True"></asp:BoundColumn>
						<asp:ButtonColumn Text="Reason" CommandName="Edit"></asp:ButtonColumn>
						<asp:ButtonColumn Text="Deactivate" CommandName="Delete"></asp:ButtonColumn>
					</Columns>
				</asp:datagrid>
				<p></p>
				<label class="hdr" for="ReasonList">Reasons:</label><br/>
				<asp:dropdownlist id="ReasonList" Runat="server">
					<asp:ListItem Value="Case management">Case management</asp:ListItem>
					<asp:ListItem Value="Consultation">Consultation</asp:ListItem>
					<asp:ListItem Value="Research">Research</asp:ListItem>
					<asp:ListItem Value="System administration">System administration</asp:ListItem>
					<asp:ListItem Value="Other">Other</asp:ListItem>
				</asp:dropdownlist>
				<p><label class="hdr" for="OtherReason">Other:</label><br/>
					<asp:textbox id="OtherReason" Runat="server" Columns="50" Rows="10" TextMode="MultiLine" Width="100%"></asp:textbox></p>
				<p></p>
				<label class="hdr" for="StatusBox">Status:</label>
				<asp:textbox id="StatusBox" Runat="server" Width="100%"></asp:textbox>
				<br />
				<asp:CustomValidator id="allUsersValidator" runat="server" ClientValidationFunction="allUsersValidator"></asp:CustomValidator>
			</div>
			
			<div style="position:relative;float:left;width:70px;padding-left:5px">
				<asp:button id="Submit" Text="Submit" Runat="server" Width="100%" CssClass="myButton" onclick="Submit_Click"></asp:button><br/>
				<br />			
				<asp:button id="Reset" Text="Reset" Runat="server" Width="100%" CssClass="myButton" onclick="Reset_Click"></asp:button><br/>
				<br />			
				<input class="myButton" style="WIDTH: 100%" onclick="showManual()" type="button" value="Help" name="btnHelp"/><br />
			</div>
			</div>
		</form>
	</body>
</html>
